% Run the results script
results;
MAXDIM = size(err_np,1)+2;
range = 3:MAXDIM;

figure(1);
semilogy(range, err_np, 'k--o', range, err_pp, 'r-x', range, err_cp, 'b-^');
title('Errors');
xlabel('rank');
ylabel('error');
legend('no pivoting','partial pivoting', 'complete pivoting', 'Location','NorthWest');
print -depsc errors.eps


figure(2);
semilogy(range, res_np, 'k--o', range, res_pp, 'r-x', range, res_cp, 'b-^');
title('Residual');
xlabel('rank');
ylabel('residual');
legend('no pivoting','partial pivoting', 'complete pivoting', 'Location','NorthWest');
print -depsc residual.eps

figure(3);
semilogy(range, times_np, 'k--o', range, times_pp, 'r-x', range, times_cp, 'b-^');
title('Execution Times');
xlabel('degree');
ylabel('times');
legend('no pivoting','partial pivoting', 'complete pivoting', 'Location','NorthWest');
print -depsc times.eps
